create or replace package ploffx_comp
authid current_user is
--v5.9
--
function compareOnOff(
  p_actual Ploffx_Document_Type.CT_OnOff,
  p_previous Ploffx_Document_Type.CT_OnOff
) return boolean;
--
function compareBorder(
  p_actual Ploffx_Document_Type.CT_Border,
  p_previous Ploffx_Document_Type.CT_Border
) return boolean;
--
function compareColor(
  p_actual Ploffx_Document_Type.CT_Color,
  p_previous Ploffx_Document_Type.CT_Color
) return boolean;
--
function compareEastAsianLayout(
  p_actual Ploffx_Document_Type.CT_EastAsianLayout,
  p_previous Ploffx_Document_Type.CT_EastAsianLayout
) return boolean;
--
function compareTextEffect(
  p_actual Ploffx_Document_Type.CT_TextEffect,
  p_previous Ploffx_Document_Type.CT_TextEffect
) return boolean;
--
function compareFitText(
  p_actual Ploffx_Document_Type.CT_FitText,
  p_previous Ploffx_Document_Type.CT_FitText
) return boolean;
--
function compareHighlight(
  p_actual Ploffx_Document_Type.CT_Highlight,
  p_previous Ploffx_Document_Type.CT_Highlight
) return boolean;
--
function compareLanguage(
  p_actual Ploffx_Document_Type.CT_Language,
  p_previous Ploffx_Document_Type.CT_Language
) return boolean;
--
function compareSignedHpsMeasure(
  p_actual Ploffx_Document_Type.CT_SignedHpsMeasure,
  p_previous Ploffx_Document_Type.CT_SignedHpsMeasure
) return boolean;
--
function compareFonts(
  p_actual Ploffx_Document_Type.CT_Fonts,
  p_previous Ploffx_Document_Type.CT_Fonts
) return boolean;
--
function compareString(
  p_actual Ploffx_Document_Type.CT_String,
  p_previous Ploffx_Document_Type.CT_String
) return boolean;
--
function compareShd(
  p_actual Ploffx_Document_Type.CT_Shd,
  p_previous Ploffx_Document_Type.CT_Shd
) return boolean;
--
function compareSignedTwipsMeasure(
  p_actual Ploffx_Document_Type.CT_SignedTwipsMeasure,
  p_previous Ploffx_Document_Type.CT_SignedTwipsMeasure
) return boolean;
--
function compareHpsMeasure(
  p_actual Ploffx_Document_Type.CT_HpsMeasure,
  p_previous Ploffx_Document_Type.CT_HpsMeasure
) return boolean;
--
function compareUnderline(
  p_actual Ploffx_Document_Type.CT_Underline,
  p_previous Ploffx_Document_Type.CT_Underline
) return boolean;
--
function compareVerticalAlignRun(
  p_actual Ploffx_Document_Type.CT_VerticalAlignRun,
  p_previous Ploffx_Document_Type.CT_VerticalAlignRun
) return boolean;
--
function compareTextScale(
  p_actual Ploffx_Document_Type.CT_TextScale,
  p_previous Ploffx_Document_Type.CT_TextScale
) return boolean;
--
function compareRPr(
  p_actual Ploffx_Document_Type.CT_RPr,
  p_previous Ploffx_Document_Type.CT_RPr
) return boolean;
--
end ploffx_comp;
/

